Join the social network of Tech Nerds, increase skill rank, get work, manage projects...
 
  • Installing RMagic on Mac Mavericks and Issues explained

    • 0
    • 1
    • 0
    • 0
    • 0
    • 0
    • 0
    • 0
    • 408
    Comment on it

    Installing RMagic 2.13.1 is generates issues on Mavericks when working with Brew... The problem is that the latest version of ImageMagick on Brew repos conflicts with RMagic version.. So you need to build older versions of ImagicMagick like 6.8.0-10 or 6.7.7-6....

    Hence step one is to get the older version of ImageMagic..

    cd $( brew --prefix )
    git checkout 321b293 Library/Formula/imagemagick.rb 
    

    This will get version 6.8.0-10. To install 6.7.7.6 checkout 7d951fb.

    git checkout 7d951fb Library/Formula/imagemagick.rb
    

    The next steps would be for 6.8.0-10.

    brew install imagemagick

    This will install imagemagick.. Now you need to link libraries since the library names have to generic without version information..

    cd "`Magick-config --prefix`"
    cd lib
    ln -s libMagick++-Q16.7.dylib   libMagick++.dylib
    ln -s libMagickCore-Q16.7.dylib libMagickCore.dylib
    ln -s libMagickWand-Q16.7.dylib libMagickWand.dylib
    

    Last step install RMagick...

    gem install rmagick -v 2.13.1
    

    Remember Brew is good tool for installation it is not necessary you use it. You can build ImageMagick from sources..

 0 Comment(s)

Sign In
                           OR                           
                           OR                           
Register

Sign up using

                           OR                           
Forgot Password
Fill out the form below and instructions to reset your password will be emailed to you:
Reset Password
Fill out the form below and reset your password: